<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/TimerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">TimerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;deque&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h_source.html">AVSCommon/Utils/Timing/Timer.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TimerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_timer_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_timer_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_timer_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_timer_test_8cpp">
<area shape="rect" id="node4" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html" title="AVSCommon/Utils/Timing\l/Timer.h" alt="" coords="235,105,409,144"/>
<area shape="rect" id="node11" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="374,192,550,231"/>
<area shape="rect" id="node12" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="734,279,910,317"/>
<area shape="rect" id="node16" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="407,365,621,404"/>
<area shape="rect" id="node22" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="809,452,985,491"/>
<area shape="rect" id="node23" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1081,365,1257,404"/>
<area shape="rect" id="node28" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="860,365,1057,404"/>
<area shape="rect" id="node29" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1289,539,1465,577"/>
<area shape="rect" id="node24" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1060,452,1236,491"/>
<area shape="rect" id="node26" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="942,539,1118,577"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test_1_1_timer_test.html">alexaClientSDK::avsCommon::utils::timing::test::TimerTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test harness for <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer.html">Timer</a> class.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test_1_1_timer_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html">alexaClientSDK::avsCommon::utils::timing</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html">alexaClientSDK::avsCommon::utils::timing::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4d9984489882b9170f73def702ce8108"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a4d9984489882b9170f73def702ce8108">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_singleShot)</td></tr>
<tr class="memdesc:a4d9984489882b9170f73def702ce8108"><td class="mdescLeft">&#160;</td><td class="mdescRight">This test runs a single-shot timer and verifies that the task is called once, at the expected time.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a4d9984489882b9170f73def702ce8108">More...</a><br /></td></tr>
<tr class="separator:a4d9984489882b9170f73def702ce8108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44391347eee311ca346147c1471a1f01"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a44391347eee311ca346147c1471a1f01">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_multiShot)</td></tr>
<tr class="separator:a44391347eee311ca346147c1471a1f01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a766d35b4e0bd574b077b7d5679e293a3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a766d35b4e0bd574b077b7d5679e293a3">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_multiShotWithDelay)</td></tr>
<tr class="separator:a766d35b4e0bd574b077b7d5679e293a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40de32433fe956356e2ccf7bb229f003"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a40de32433fe956356e2ccf7bb229f003">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_forever)</td></tr>
<tr class="separator:a40de32433fe956356e2ccf7bb229f003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5b43684407b6ea937d06142f4bbab2c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#ae5b43684407b6ea937d06142f4bbab2c">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_slowTaskLessThanPeriod)</td></tr>
<tr class="separator:ae5b43684407b6ea937d06142f4bbab2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c89204360a97b6b3cc523c8aafbd61e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a5c89204360a97b6b3cc523c8aafbd61e">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_slowTaskGreaterThanPeriod)</td></tr>
<tr class="separator:a5c89204360a97b6b3cc523c8aafbd61e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa17dca2606d82e062ab4e6d800478b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#afa17dca2606d82e062ab4e6d800478b8">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_slowTaskGreaterThanTwoPeriods)</td></tr>
<tr class="separator:afa17dca2606d82e062ab4e6d800478b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a028e046d88c1896902bffd25e45dfd49"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a028e046d88c1896902bffd25e45dfd49">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_endToStartPeriod)</td></tr>
<tr class="separator:a028e046d88c1896902bffd25e45dfd49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66791a3f9e3be07f9e11bdb5aab4a9ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a66791a3f9e3be07f9e11bdb5aab4a9ae">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_stopSingleShotBeforeTask)</td></tr>
<tr class="separator:a66791a3f9e3be07f9e11bdb5aab4a9ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47f4bb33286d26f7e3a0afaf574419f5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a47f4bb33286d26f7e3a0afaf574419f5">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_stopSingleShotDuringTask)</td></tr>
<tr class="separator:a47f4bb33286d26f7e3a0afaf574419f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3b248a50ae6ea7f9f7479135aebae2c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#aa3b248a50ae6ea7f9f7479135aebae2c">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_stopSingleShotAfterTask)</td></tr>
<tr class="separator:aa3b248a50ae6ea7f9f7479135aebae2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b2b36260331a6941484433129d52655"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a5b2b36260331a6941484433129d52655">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_stopMultiShot)</td></tr>
<tr class="separator:a5b2b36260331a6941484433129d52655"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9313fec21598bcf3e4432219995a4b03"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a9313fec21598bcf3e4432219995a4b03">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_startRunningBeforeTask)</td></tr>
<tr class="separator:a9313fec21598bcf3e4432219995a4b03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef9d762bfd1afd53faeaac1f37b2ca9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#acef9d762bfd1afd53faeaac1f37b2ca9">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_startRunningDuringTask)</td></tr>
<tr class="separator:acef9d762bfd1afd53faeaac1f37b2ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5c9d165619b73307ce1b55cb8c8f616"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#aa5c9d165619b73307ce1b55cb8c8f616">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_startRunningAfterTask)</td></tr>
<tr class="separator:aa5c9d165619b73307ce1b55cb8c8f616"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a06c4167752cc7c0c2dda4f97cbd237"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a6a06c4167752cc7c0c2dda4f97cbd237">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, test_deleteBeforeTask)</td></tr>
<tr class="memdesc:a6a06c4167752cc7c0c2dda4f97cbd237"><td class="mdescLeft">&#160;</td><td class="mdescRight">This test verifies that a timer which is deleted while active, but before running its task, does not run the task.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a6a06c4167752cc7c0c2dda4f97cbd237">More...</a><br /></td></tr>
<tr class="separator:a6a06c4167752cc7c0c2dda4f97cbd237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afacd8c72bba29d55fac985a0f18821c9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#afacd8c72bba29d55fac985a0f18821c9">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_deleteDuringTask)</td></tr>
<tr class="memdesc:afacd8c72bba29d55fac985a0f18821c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This test verifies that a timer which is deleted while running a task completes the task.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#afacd8c72bba29d55fac985a0f18821c9">More...</a><br /></td></tr>
<tr class="separator:afacd8c72bba29d55fac985a0f18821c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf5cb57c5a895531e187ba160e05d45f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#abf5cb57c5a895531e187ba160e05d45f">alexaClientSDK::avsCommon::utils::timing::test::TEST_F</a> (TimerTest, testTimer_startRunningAfterStopDuringTask)</td></tr>
<tr class="separator:abf5cb57c5a895531e187ba160e05d45f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0441aa779d33f8cb2054f4ec98741e68"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a0441aa779d33f8cb2054f4ec98741e68">alexaClientSDK::avsCommon::utils::timing::test::ACCURACY</a> = std::chrono::milliseconds(15)</td></tr>
<tr class="memdesc:a0441aa779d33f8cb2054f4ec98741e68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies the expected timing accuracy (timestamps must be within +/- ACCURACY of expected values).  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a0441aa779d33f8cb2054f4ec98741e68">More...</a><br /></td></tr>
<tr class="separator:a0441aa779d33f8cb2054f4ec98741e68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a795ff7eab0b753a8f5eebbb5e93cbfce"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a795ff7eab0b753a8f5eebbb5e93cbfce">alexaClientSDK::avsCommon::utils::timing::test::NO_DELAY</a> = std::chrono::milliseconds(0)</td></tr>
<tr class="memdesc:a795ff7eab0b753a8f5eebbb5e93cbfce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for cases where the task should return immediately, without delay.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a795ff7eab0b753a8f5eebbb5e93cbfce">More...</a><br /></td></tr>
<tr class="separator:a795ff7eab0b753a8f5eebbb5e93cbfce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc0b9120231b041c0fff4d5d151c3685"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#afc0b9120231b041c0fff4d5d151c3685">alexaClientSDK::avsCommon::utils::timing::test::SHORT_DELAY</a> = ACCURACY * 2</td></tr>
<tr class="memdesc:afc0b9120231b041c0fff4d5d151c3685"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for cases where the task duration or timer period should be shorter than MEDIUM_DELAY and LONG_DELAY.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#afc0b9120231b041c0fff4d5d151c3685">More...</a><br /></td></tr>
<tr class="separator:afc0b9120231b041c0fff4d5d151c3685"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f06bd1757a0cf0b2b3dfa900b52f528"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a6f06bd1757a0cf0b2b3dfa900b52f528">alexaClientSDK::avsCommon::utils::timing::test::MEDIUM_DELAY</a> = SHORT_DELAY + ACCURACY</td></tr>
<tr class="memdesc:a6f06bd1757a0cf0b2b3dfa900b52f528"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for cases where the task duration or timer period should be greater than SHORT_DELAY and less than LONG_DELAY.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a6f06bd1757a0cf0b2b3dfa900b52f528">More...</a><br /></td></tr>
<tr class="separator:a6f06bd1757a0cf0b2b3dfa900b52f528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b55c2b3f357d4d2de244b5a98e26ef"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#ab2b55c2b3f357d4d2de244b5a98e26ef">alexaClientSDK::avsCommon::utils::timing::test::LONG_DELAY</a> = SHORT_DELAY * 2 + ACCURACY</td></tr>
<tr class="separator:ab2b55c2b3f357d4d2de244b5a98e26ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad28d25815ef38b241f5e89280d17cb4e"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#ad28d25815ef38b241f5e89280d17cb4e">alexaClientSDK::avsCommon::utils::timing::test::TIMEOUT</a> = std::chrono::seconds(1)</td></tr>
<tr class="separator:ad28d25815ef38b241f5e89280d17cb4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a320ae161b21653ceee410825abce1743"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a320ae161b21653ceee410825abce1743">alexaClientSDK::avsCommon::utils::timing::test::ITERATIONS</a> = 5</td></tr>
<tr class="memdesc:a320ae161b21653ceee410825abce1743"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of task iterations to run for multi-shot tests.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#a320ae161b21653ceee410825abce1743">More...</a><br /></td></tr>
<tr class="separator:a320ae161b21653ceee410825abce1743"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
